# CARICAMENTO DELLE LIBRERIE
import openmatrix as omx
import numpy as np

# CREAZIONE DEL FILE DI ESEMPIO 
esempio = omx.open_file('FileEsempio.omx','w') #w=writing a=append/edit

# GENERAZIONE DEI DATI - creo tre matrici utilizzando dei numeri casuali 
priv = np.random.random(size=(5,5))*1000
pubb = np.random.random(size=(5,5))*1000
tot = priv+pubb

# SCRITTURA DELLE MATRICI SUL FILE 
esempio['PRIV'] = priv
esempio['PUBB'] = pubb
esempio['TOT'] = tot

# ASSEGNAZIONE DEI METADATI (passaggio facoltativo)
esempio['PRIV'].attrs.periodo = 'tutta la giornata'
esempio['PRIV'].attrs.scopo = 'tutti'
esempio['PRIV'].attrs.modo = 'privato'
esempio['PRIV'].attrs.zonizzazzione = 'provinciale'
esempio['PRIV'].attrs.anno = '2017'

# ASSOCIAZIONE DELLA MAPPATURA (passaggio facoltativo)
map = [401, 402, 404, 405, 410]
esempio.create_mapping('mappatura',map)

# CHIUSURA DEL FILE
esempio.close()



